# encoding: utf-8

# Exceptions raised by Verifier#verify method
module Verifier

  # Exception raised when a verification fails
  Invalid = Class.new ::RuntimeError

  # Exception raised when calling a verified method raises a StandardError
  MethodFails = Class.new ::RuntimeError

  # Exception raised when a verified method is not defined
  MethodNotDefined = Class.new ::NameError
end
